package com.ruoyi.predict.domain;

/**
 * @author hlf
 * @date 2022/10/24 11:13
 * 文件说明：
 */
public class CalculationModel {

    //场站编号
    private Long terminalNumber;

    //预测类型
    private String predictType;

    //算法模型
    private Long modelNo;

    //是否启用
    private Long ifModelValid;

    //参数配置
    private String para;

    private String terminalName;

    private String itemName;

    private Integer predictTypeInt;

    public Long getTerminalNumber() {
        return terminalNumber;
    }

    public void setTerminalNumber(Long terminalNumber) {
        this.terminalNumber = terminalNumber;
    }

    public String getPredictType() {
        return predictType;
    }

    public void setPredictType(String predictType) {
        this.predictType = predictType;
    }

    public Long getModelNo() {
        return modelNo;
    }

    public void setModelNo(Long modelNo) {
        this.modelNo = modelNo;
    }

    public Long getIfModelValid() {
        return ifModelValid;
    }

    public void setIfModelValid(Long ifModelValid) {
        this.ifModelValid = ifModelValid;
    }

    public String getPara() {
        return para;
    }

    public void setPara(String para) {
        this.para = para;
    }

    public String getTerminalName() {
        return terminalName;
    }

    public void setTerminalName(String terminalName) {
        this.terminalName = terminalName;
    }

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }

    public Integer getPredictTypeInt() {
        return predictTypeInt;
    }

    public void setPredictTypeInt(Integer predictTypeInt) {
        this.predictTypeInt = predictTypeInt;
    }
}
